TEXWORKS(1)

NAME
texworks - a simple TeX front-end program

SYNOPSIS
texworks [OPTIONS] [FILES]

DESCRIPTION
TeXworks is an environment for authoring TeX (LaTeX, ConTeXt, etc) documents, with a Unicode-based, TeX-aware editor, integrated PDF viewer, and a clean, simple interface accessible to casual and non-technical users. It is inspired by Dick Koch's award-winning TeXShop program for Mac OS X, which has made quality typesetting through TeX accessible to a wider community of users, without a technical or intimidating face. The goal of TeXworks is to deliver a similarly integrated, easy-to-use environment for users on other platforms, especially GNU/Linux and Windows.

OPTIONS

--help, -?
    Display a short overview over all command line options

--position=, -p
    Open the next specified file at the given position (line or page)

--version, -v
    Display version information

ENVIRONMENT

TW_INIPATH
    Overrides the location of the preferences file.

TW_LIBPATH
    Overrides the location of the additional configuration and library files.

TW_DICPATH
    Overrides the location of dictionary files.

TW_HELPPATH
    Overrides the location of help files.

TW_PLUGINPATH
    Overrides the location of plugins.

FILES

~/.config/TUG/TeXworks.conf
    Text file to store the preferences.

~/.TeXworks/*
    Additional configuration and library files (e.g. for auto completion, templates, etc.).

/usr/local/bin/texworks-setup.ini
    Setup file to override the location of the files mentioned above (e.g. for enabling portable operation).

SEE ALSO
TeXworks homepage: http://tug.org/texworks/ TeXworks development: https://github.com/TeXworks/texworks

BUGS
If you find a bug, please report it at https://github.com/TeXworks/texworks/issues

AUTHORS
Stefan Löffler, Jonathan Kew, Charlie Sharpsteen, and others

COPYRIGHT
Copyright (C) 2007-2024 Stefan Löffler, Jonathan Kew, Charlie Sharpsteen License GPLv2+: GNU GPL (version 2 or later) <http://gnu.org/licenses/gpl.html> This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.